IF OBJECT_ID('[RpmPackages_Latest]') IS NOT NULL DROP VIEW [RpmPackages_Latest]
GO

CREATE VIEW [RpmPackages_Latest]
AS

SELECT RP.[Feed_Id],
       RP.[Architecture_Name],
	   RP.[Package_Name],
	   RPV.[FullVersion_Text],
	   RPV.[Summary_Text],
	   RPV.[Download_Count],
	   RPV.[LastDownloaded_Date],
	   RPV.[Published_Date],
	   RPV.[Package_Size],
	   RPV.[SHA1_Bytes],
	   RPV.[SHA256_Bytes],
	   RPV.[Metadata_Bytes],
	   RPV.[Local_FileName_Text]
  FROM [RpmPackages] RP
       INNER JOIN [RpmPackageVersions] RPV
	           ON RPV.[RpmPackageVersion_Id] = RP.[LatestPackageVersion_Id]

GO