EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_SetCanonicalTag',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Sets the canonical tag associated with an image.'
GO

IF OBJECT_ID('[DockerImages_SetCanonicalTag]') IS NOT NULL DROP PROCEDURE [DockerImages_SetCanonicalTag]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_SetCanonicalTag]
(
	@DockerImage_Id INT,
	@Tag_Name VARCHAR(255)
)
AS
BEGIN

SET NOCOUNT ON

	UPDATE [DockerImages]
	   SET [Canonical_Tag_Name] = @Tag_Name
	 WHERE [DockerImage_Id] = @DockerImage_Id

END
GO

GRANT EXECUTE ON [DockerImages_SetCanonicalTag] TO [ProGetUser_Role]
GO