EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Users_GetUser',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Users,UserGroups',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details of the specified user, and a list of all the groups the user belongs to'
GO

IF OBJECT_ID('[Users_GetUser]') IS NOT NULL DROP PROCEDURE [Users_GetUser]
GO

CREATE PROCEDURE [Users_GetUser]
(
	@User_Name USERNAME
)
AS
BEGIN
	
	SET NOCOUNT ON

	SELECT *
	  FROM [Users]
	 WHERE [User_Name] = @User_Name

	SELECT *
	  FROM [UserGroups]
	 WHERE [User_Name] = @User_Name

END
GO

GRANT EXECUTE ON [Users_GetUser] TO [ProGetUser_Role]
GO
